I am pleased to tell you what I know, but I do not know everything. You should speak to as many of the villagers as you can.
Have you already spoken to Abyssal Celebrant Undrias at teh gate of the Temple of Shilen? He may want to ask a favor of you.
Also, seek out Sentry Nelsya at the north entrance of the village. 'Tis the season of Shilen's Hunting Ceremony, and they are looking for volunteers.
Let's see... ah, yes! See that you speak to Collette and to Trader Payne as well.
Return